Asynchronously queue context data to add to the context processor
curl --request POST \
--url https://platform-backend.getalchemystai.com/api/v1/context/add-async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documents": [
{
"content": "Customer asked about pricing for the Scale plan."
}
],
"source": "support-inbox",
"context_type": "resource",
"scope": "internal",
"metadata": {
"fileName": "support_thread_TCK-1234.txt",
"fileType": "text/plain",
"groupName": [
"support",
"pricing"
],
"lastModified": "2025-01-10T12:34:56.000Z",
"fileSize": 2048
}
}
'import requests
url = "https://platform-backend.getalchemystai.com/api/v1/context/add-async"
payload = {
"documents": [{ "content": "Customer asked about pricing for the Scale plan." }],
"source": "support-inbox",
"context_type": "resource",
"scope": "internal",
"metadata": {
"fileName": "support_thread_TCK-1234.txt",
"fileType": "text/plain",
"groupName": ["support", "pricing"],
"lastModified": "2025-01-10T12:34:56.000Z",
"fileSize": 2048
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documents: [{content: 'Customer asked about pricing for the Scale plan.'}],
source: 'support-inbox',
context_type: 'resource',
scope: 'internal',
metadata: {
fileName: 'support_thread_TCK-1234.txt',
fileType: 'text/plain',
groupName: ['support', 'pricing'],
lastModified: '2025-01-10T12:34:56.000Z',
fileSize: 2048
}
})
};
fetch('https://platform-backend.getalchemystai.com/api/v1/context/add-async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queued": true,
"jobId": "context-add-123456"
}{
"success": false,
"message": "<string>",
"status": 400
}{}{}{}{}{
"response": "<string>"
}Endpoint examples
Asynchronously queue context data to add to the context processor
This endpoint accepts context data and queues it for asynchronous processing by the context processor. It returns a success or error response depending on the queuing result.
POST
/
api
/
v1
/
context
/
add-async
Asynchronously queue context data to add to the context processor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of documents with content and additional metadata
Show child attributes
Show child attributes
The source of the context data
Type of context being added
Available options:
resource, conversation, instruction Scope of the context
Available options:
internal, external Additional metadata for the context
Show child attributes
Show child attributes
Add context data to the context processorList all ongoing context add jobs for the authenticated user
⌘I

